Bug 587400 - NetworkManager 0.8 breaks air card
NetworkManager 0.8 breaks air card
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 15:43 EDT by Josh Krupka
Modified: 2010-05-06 22:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: ModemManager-0.3-12.git20100504.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 02:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Krupka 2010-04-29 15:43:55 EDT
Description of problem:
USB727 aircard was working on F12, the last set of updates to Network/ModemManager broke it and I can't now.  I just updated to the newest versions of those components (and ppp) from updates-testing and it's still broken.


Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.8.0-8.git20100426.fc12.i686
NetworkManager-glib-0.8.0-8.git20100426.fc12.i686
NetworkManager-0.8.0-8.git20100426.fc12.i686
NetworkManager-vpnc-0.8.0-1.git20100411.fc12.i686
NetworkManager-pptp-0.8.0-1.git20100411.fc12.i686
NetworkManager-openvpn-0.8-2.git20100411.fc12.i686
ppp-2.4.5-8.fc12.i686
libgudev1-145-20.fc12.i686
udev-145-20.fc12.i686
libudev-145-20.fc12.i686

kernel: 2.6.32.11-99.fc12.i686.PAE


Steps to Reproduce:
1. Plug in Novatel USB727
2. NM applet recognizes air card, click connect
3. NM applet goes to spinning green and LED on air card blinks green, but then nm disconnects
  
Actual results:
Output from modem-manager --debug
** Message: Loaded plugin MotoC
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Gobi
** Message: Loaded plugin Sierra
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Generic
** Message: Loaded plugin AnyData
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Novatel
** (modem-manager:3551): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:3551): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:3551): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:3551): DEBUG: (tty/ttyS1): could not get port's parent device
** Message: (ttyUSB1) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB1): probe requested by plugin 'Novatel'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB0): probe requested by plugin 'Novatel'
** Message: (ttyUSB2) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB2): probe requested by plugin 'Novatel'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB3): probe requested by plugin 'Novatel'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856-A, +MS, +ES, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB0
** (modem-manager:3551): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:3551): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:3551): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB3): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 00 78 f0 7e
** Message: (ttyUSB2) closing serial device...
** Message: (ttyUSB2) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB2): --> 00 78 f0 7e
** Message: (ttyUSB3) closing serial device...
** Message: (ttyUSB3) opening serial device...
** (modem-manager:3551): DEBUG: (ttyUSB3): --> 00 78 f0 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 00 78 f0 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 00 4a 75 6c 20 32 33 20 32 30 30 37 32 32 3a 31 38 3a 35 34 4a 75 6c 20 32 33 20 32 30 30 37 31 38 3a 30 30 3a 30 30 4e 4f 56 41 54 45 4c 20 2a 06 ac 6e 00 02 20 70 18 ba 7e
** Message: (ttyUSB1) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB1
** (modem-manager:3551): DEBUG: (tty/ttyUSB2): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:3551): DEBUG: (ttyUSB2): --> 00 78 f0 7e
** (modem-manager:3551): DEBUG: (ttyUSB2): <-- 00 4a 75 6c 20 32 33 20 32 30 30 37 32 32 3a 31 38 3a 35 34 4a 75 6c 20 32 33 20 32 30 30 37 31 38 3a 30 30 3a 30 30 4e 4f 56 41 54 45 4c 20 2a 06 ac 6e 00 02 20 70 18 ba 7e
** Message: (ttyUSB2) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB2
** (modem-manager:3551): DEBUG: (tty/ttyUSB3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:3551): DEBUG: (ttyUSB3): --> 00 78 f0 7e
** Message: (ttyUSB3) closing serial device...
** (modem-manager:3551): DEBUG: (tty/ttyUSB3): ignoring port unsupported by physical modem's plugin
** (modem-manager:3551): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error

** (modem-manager:3551): WARNING **: Your CDMA modem does not support +CMEE command
** Message: (ttyUSB1) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 75 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>NOVATEL WIRELESS INCORPORATED<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 24 02 01 60 00 12 00 02 00 00 00 00 00 00 98 8c 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>USB727 VERIZON<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>m6800B-RAPTOR65_V-110 [Jul 23 2007 18:00:00]<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+SPSERVICE?<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$SPERI?<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:3551): DEBUG: Got failure code 100: Unknown error
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 75 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 74 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'ATDT#777<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 76 02 01 60 00 12 00 02 00 00 00 00 00 00 f4 e4 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 01 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 76 02 01 60 00 12 00 02 00 00 00 00 00 00 80 f8 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 01 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 ff 00 00 00 00 00 00 00 00 76 02 01 60 00 12 00 02 00 00 00 00 00 00 c5 6e 7e
** (modem-manager:3551): DEBUG: (net/ppp0): could not get port's parent device
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CSQ?<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT+CSQ?<CR>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 76 02 01 60 00 12 00 02 00 00 00 00 00 00 f4 e4 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 24 02 01 60 00 12 00 02 00 00 00 00 00 00 98 8c 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)
** (modem-manager:3551): DEBUG: (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:3551): DEBUG: (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 24 02 01 60 00 12 00 02 00 00 00 00 00 00 98 8c 7e
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:3551): DEBUG: (ttyUSB0): --> 'AT$NWRSSI<CR>'

Output from NetworkManager --no-daemon
NetworkManager: <warn> (ttyUSB2): failed to look up interface index
NetworkManager: <info> (ttyUSB2): new CDMA device (driver: 'option1' ifindex: -1)
NetworkManager: <info> (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (ttyUSB2): now managed
NetworkManager: <info> (ttyUSB2): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyUSB2): deactivating device (reason: 2).
NetworkManager: <info> (ttyUSB2): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) starting connection 'Verizon connection'
NetworkManager: <info> (ttyUSB2): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (ttyUSB2): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (ttyUSB2): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> starting PPP connection
NetworkManager: <info> pppd started with pid 3911
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) complete.
Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
** Message: nm-ppp-plugin: (plugin_init): initializing
** Message: nm-ppp-plugin: (nm_phasechange): status 3 / phase 'serial connection'
Using interface ppp0
Connect: ppp0 <--> /dev/ttyUSB2
** Message: nm-ppp-plugin: (nm_phasechange): status 5 / phase 'establish'
NetworkManager: <warn> pppd timed out or didn't initialize our dbus module
NetworkManager: <info> (ttyUSB2): device state change: 7 -> 9 (reason 14)
Terminating on signal 15
** Message: nm-ppp-plugin: (nm_phasechange): status 10 / phase 'terminate'
NetworkManager: <info> Marking connection 'Verizon connection' invalid.
NetworkManager: <warn> Activation (ttyUSB2) failed.
NetworkManager: <info> (ttyUSB2): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyUSB2): deactivating device (reason: 0).
NetworkManager: <info> (ttyUSB2): now unmanaged
NetworkManager: <info> (ttyUSB2): device state change: 3 -> 1 (reason 36)
NetworkManager: <info> (ttyUSB2): cleaning up...
NetworkManager: <info> (ttyUSB2): taking down device.


Expected results:


Additional info:
Comment 1 TC 2010-04-30 05:41:06 EDT
I'm seeing similar symptoms from my Huawei E220 3G Modem. Unfortunately 3G was the only Internet access for that machine so I can't post any debug messages.
It was working fine with the previous NetworkManager 0.7.x release.

Network Manager seems to be going through several regressions during the time from F12 release till now. Each time I delete and recreate the 3G Broadband profile, but for NetworkManager 0.8 it did not help.
Comment 2 Dan Williams 2010-05-03 04:06:40 EDT
Josh: can you grab this testing update for ModemManager and get --debug logs from it?  I can't see how the code is creating the problem you describe here, but I've added more debug logging that could allow us to narrow it down.

(pick the right one for your Fedora version)

https://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc12
https://admin.fedoraproject.org/updates/ModemManager-0.3-11.git20100502.fc13

Let me know, thanks!
Comment 3 Josh Krupka 2010-05-03 08:33:29 EDT
Dan,

I grabbed the testing update, here's the output from ModemManager in F12:

modem-manager --debug
** Message: Loaded plugin MotoC
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Gobi
** Message: Loaded plugin Sierra
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Generic
** Message: Loaded plugin AnyData
** Message: Loaded plugin Nokia
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Novatel
** (modem-manager:22225): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:22225): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:22225): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:22225): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:22225): DEBUG: (net/pan0): could not get port's parent device
** Message: (ttyUSB1) opening serial device...
** (modem-manager:22225): DEBUG: <1272888829.630543> (ttyUSB1) device open count is 1 (open)
** (modem-manager:22225): DEBUG: (ttyUSB1): probe requested by plugin 'Novatel'
** Message: (ttyUSB0) opening serial device...
** (modem-manager:22225): DEBUG: <1272888829.637538> (ttyUSB0) device open count is 1 (open)
** (modem-manager:22225): DEBUG: (ttyUSB0): probe requested by plugin 'Novatel'
** Message: (ttyUSB2) opening serial device...
** (modem-manager:22225): DEBUG: <1272888829.643547> (ttyUSB2) device open count is 1 (open)
** (modem-manager:22225): DEBUG: (ttyUSB2): probe requested by plugin 'Novatel'
** Message: (ttyUSB3) opening serial device...
** (modem-manager:22225): DEBUG: <1272888829.649565> (ttyUSB3) device open count is 1 (open)
** (modem-manager:22225): DEBUG: (ttyUSB3): probe requested by plugin 'Novatel'
** (modem-manager:22225): DEBUG: <1272888829.732702> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888832.141903> (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888832.944358> (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888833.746941> (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888834.550474> (ttyUSB0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CIS707-A, CIS-856-A, +MS, +ES, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888834.550785> (ttyUSB0) device open count is 0 (close)
** Message: (ttyUSB0) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB0
** (modem-manager:22225): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:22225): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:22225): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:22225): DEBUG: <1272888835.624285> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888836.622352> (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888837.622251> (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888839.623128> (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888840.622024> (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888841.621926> (ttyUSB3): --> 'AT+GCAP<CR>'
** (modem-manager:22225): DEBUG: <1272888843.623166> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:22225): DEBUG: <1272888843.631636> (ttyUSB1) device open count is 1 (open)
** (modem-manager:22225): DEBUG: <1272888843.631824> (ttyUSB1): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888844.624553> (ttyUSB2) device open count is 0 (close)
** Message: (ttyUSB2) closing serial device...
** Message: (ttyUSB2) opening serial device...
** (modem-manager:22225): DEBUG: <1272888844.633757> (ttyUSB2) device open count is 1 (open)
** (modem-manager:22225): DEBUG: <1272888844.633941> (ttyUSB2): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888845.624666> (ttyUSB3) device open count is 0 (close)
** Message: (ttyUSB3) closing serial device...
** Message: (ttyUSB3) opening serial device...
** (modem-manager:22225): DEBUG: <1272888845.633761> (ttyUSB3) device open count is 1 (open)
** (modem-manager:22225): DEBUG: <1272888845.633944> (ttyUSB3): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888846.624693> (ttyUSB1): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888846.630098> (ttyUSB1): <-- 00 4a 75 6c 20 32 33 20 32 30 30 37 32 32 3a 31 38 3a 35 34 4a 75 6c 20 32 33 20 32 30 30 37 31 38 3a 30 30 3a 30 30 4e 4f 56 41 54 45 4c 20 2a 06 ac 6e 00 02 20 70 18 ba 7e
** (modem-manager:22225): DEBUG: <1272888846.630276> (ttyUSB1) device open count is 0 (close)
** Message: (ttyUSB1) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB1
** (modem-manager:22225): DEBUG: (tty/ttyUSB2): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:22225): DEBUG: <1272888847.623902> (ttyUSB2): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888847.631659> (ttyUSB2): <-- 00 4a 75 6c 20 32 33 20 32 30 30 37 32 32 3a 31 38 3a 35 34 4a 75 6c 20 32 33 20 32 30 30 37 31 38 3a 30 30 3a 30 30 4e 4f 56 41 54 45 4c 20 2a 06 ac 6e 00 02 20 70 18 ba 7e
** (modem-manager:22225): DEBUG: <1272888847.631819> (ttyUSB2) device open count is 0 (close)
** Message: (ttyUSB2) closing serial device...
** Message: (Novatel): CDMA modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 claimed port ttyUSB2
** (modem-manager:22225): DEBUG: (tty/ttyUSB3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2
** (modem-manager:22225): DEBUG: <1272888848.624634> (ttyUSB3): --> 00 78 f0 7e
** (modem-manager:22225): DEBUG: <1272888851.625856> (ttyUSB3) device open count is 0 (close)
** Message: (ttyUSB3) closing serial device...
** (modem-manager:22225): DEBUG: (tty/ttyUSB3): ignoring port unsupported by physical modem's plugin
** (modem-manager:22225): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb6/6-2 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyUSB0) opening serial device...
** (modem-manager:22225): DEBUG: <1272888872.68770> (ttyUSB0) device open count is 1 (open)
** (modem-manager:22225): DEBUG: <1272888872.68921> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:22225): DEBUG: <1272888872.169905> (ttyUSB0): --> 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:22225): DEBUG: <1272888872.190000> (ttyUSB0): <-- 'ATZ E0 V1 X4 &C1<CR>'
** (modem-manager:22225): DEBUG: <1272888872.224497> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.224584> (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:22225): DEBUG: <1272888872.237481> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error

** (modem-manager:22225): WARNING **: Your CDMA modem does not support +CMEE command
** Message: (ttyUSB1) opening serial device...
** (modem-manager:22225): DEBUG: <1272888872.240587> (ttyUSB1) device open count is 1 (open)
** (modem-manager:22225): DEBUG: <1272888872.240788> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:22225): DEBUG: <1272888872.240903> (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:22225): DEBUG: <1272888872.253649> (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:22225): DEBUG: <1272888872.261487> (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.261643> (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:22225): DEBUG: <1272888872.261715> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888872.272443> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:22225): DEBUG: <1272888872.272676> (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 94 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.272908> (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:22225): DEBUG: <1272888872.280390> (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:22225): DEBUG: <1272888872.287998> (ttyUSB0): <-- '<CR><LF>NOVATEL WIRELESS INCORPORATED<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.288059> (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:22225): DEBUG: <1272888872.296106> (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:22225): DEBUG: <1272888872.296172> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888872.300434> (ttyUSB0): <-- '<CR><LF>USB727 VERIZON<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.300556> (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:22225): DEBUG: <1272888872.308021> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 4d 02 01 fc 00 08 00 08 00 00 00 00 00 00 93 08 7e
** (modem-manager:22225): DEBUG: <1272888872.309458> (ttyUSB0): <-- '<CR><LF>m6800B-RAPTOR65_V-110 [Jul 23 2007 18:00:00]<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888872.309498> (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:22225): DEBUG: <1272888872.319485> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error
** (modem-manager:22225): DEBUG: <1272888872.319569> (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:22225): DEBUG: <1272888872.330514> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error
** (modem-manager:22225): DEBUG: <1272888872.330702> (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:22225): DEBUG: <1272888872.339691> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error
** (modem-manager:22225): DEBUG: <1272888872.339843> (ttyUSB0): --> 'AT+SPSERVICE?<CR>'
** (modem-manager:22225): DEBUG: <1272888872.357485> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error
** (modem-manager:22225): DEBUG: <1272888872.357687> (ttyUSB0): --> 'AT$SPERI?<CR>'
** (modem-manager:22225): DEBUG: <1272888872.368769> (ttyUSB0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:22225): DEBUG: Got failure code 100: Unknown error
** (modem-manager:22225): DEBUG: <1272888872.368952> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888872.381482> (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 94 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888883.706297> (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:22225): DEBUG: <1272888883.713822> (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:22225): DEBUG: <1272888883.713911> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888883.724720> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888883.731074> (ttyUSB0): <-- '<CR><LF><CR><CR><LF> 1x RSSI= 95 \9 RX1=Not Defined<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888883.731168> Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:22225): DEBUG: <1272888883.731275> (ttyUSB0): --> 'ATDT#777<CR>'
** (modem-manager:22225): DEBUG: <1272888883.740991> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 4d 02 01 fc 00 08 00 08 00 00 00 00 00 00 93 08 7e
** (modem-manager:22225): DEBUG: <1272888884.973815> (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>'
** (modem-manager:22225): DEBUG: <1272888884.973965> (ttyUSB2): port now connected
** (modem-manager:22225): DEBUG: <1272888884.974069> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** (modem-manager:22225): DEBUG: <1272888884.976850> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888884.989687> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888884.996510> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 01 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 76 02 01 fc 00 08 00 08 00 00 00 00 00 00 d2 0b 7e
** (modem-manager:22225): DEBUG: <1272888884.996664> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: (net/ppp0): could not get port's parent device
** (modem-manager:22225): DEBUG: <1272888888.622634> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888891.626107> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:22225): DEBUG: <1272888894.626059> (ttyUSB0): --> 'AT+CSS?<CR>'
** (modem-manager:22225): DEBUG: <1272888897.625884> (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:22225): DEBUG: <1272888900.625869> (ttyUSB0): --> 'AT+CSQ?<CR>'
** (modem-manager:22225): DEBUG: <1272888902.625288> (ttyUSB1): --> 4b 0f 00 00 bb 60 7e
** (modem-manager:22225): DEBUG: <1272888902.634508> (ttyUSB1): <-- 4b 0f 00 00 00 00 00 00 05 00 00 00 02 00 00 00 02 00 00 00 ff ff ff 7f ff 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 ff ff ff ff ab 1f 7e
** (modem-manager:22225): DEBUG: <1272888903.623812> (ttyUSB0): --> 'AT+CSQ?<CR>'
** (modem-manager:22225): DEBUG: <1272888905.627929> Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** (modem-manager:22225): DEBUG: <1272888905.631181> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888905.636861> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 4d 02 01 fc 00 08 00 08 00 00 00 00 00 00 93 08 7e
** (modem-manager:22225): DEBUG: <1272888905.636980> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888905.643459> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 4d 02 01 fc 00 08 00 08 00 00 00 00 00 00 93 08 7e
** (modem-manager:22225): DEBUG: <1272888905.713523> (ttyUSB1): --> 0c 14 3a 7e
** (modem-manager:22225): DEBUG: <1272888905.719896> (ttyUSB1): <-- 0c e1 00 e1 d7 ea 75 5b 03 00 cd 68 2a 00 cd 68 2a 00 23 01 23 01 00 02 00 01 00 00 00 00 00 00 00 00 4d 02 01 fc 00 08 00 08 00 00 00 00 00 00 93 08 7e
** (modem-manager:22225): DEBUG: <1272888906.624546> (ttyUSB0): --> 'AT$NWRSSI<CR>'
** (modem-manager:22225): DEBUG: <1272888906.637581> (ttyUSB2): port now disconnected
** (modem-manager:22225): DEBUG: <1272888906.637709> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> registered)

and from NetworkManager:
NetworkManager: <warn> (ttyUSB2): failed to look up interface index
NetworkManager: <info> (ttyUSB2): new CDMA device (driver: 'option1' ifindex: -1)
NetworkManager: <info> (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/2
NetworkManager: <info> (ttyUSB2): now managed
NetworkManager: <info> (ttyUSB2): device state change: 1 -> 2 (reason 2)
NetworkManager: <info> (ttyUSB2): deactivating device (reason: 2).
NetworkManager: <info> (ttyUSB2): device state change: 2 -> 3 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) starting connection 'Verizon connection'
NetworkManager: <info> (ttyUSB2): device state change: 3 -> 4 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
NetworkManager: <info> (ttyUSB2): device state change: 4 -> 5 (reason 0)
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) successful.
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) scheduled.
NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) started...
NetworkManager: <info> (ttyUSB2): device state change: 5 -> 7 (reason 0)
NetworkManager: <info> starting PPP connection
NetworkManager: <info> pppd started with pid 22287
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) scheduled...
NetworkManager: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info> Activation (ttyUSB2) Stage 4 of 5 (IP6 Configure Get) complete.
Plugin /usr/lib/pppd/2.4.5/nm-pppd-plugin.so loaded.
** Message: nm-ppp-plugin: (plugin_init): initializing
** Message: nm-ppp-plugin: (nm_phasechange): status 3 / phase 'serial connection'
Removed stale lock on ttyUSB2 (pid 22188)
Using interface ppp0
Connect: ppp0 <--> /dev/ttyUSB2
** Message: nm-ppp-plugin: (nm_phasechange): status 5 / phase 'establish'
NetworkManager: <warn> pppd timed out or didn't initialize our dbus module
NetworkManager: <info> (ttyUSB2): device state change: 7 -> 9 (reason 14)
Terminating on signal 15
** Message: nm-ppp-plugin: (nm_phasechange): status 10 / phase 'terminate'
NetworkManager: <info> Marking connection 'Verizon connection' invalid.
NetworkManager: <warn> Activation (ttyUSB2) failed.
NetworkManager: <info> (ttyUSB2): device state change: 9 -> 3 (reason 0)
NetworkManager: <info> (ttyUSB2): deactivating device (reason: 0).
NetworkManager: <info> (ttyUSB2): now unmanaged
NetworkManager: <info> (ttyUSB2): device state change: 3 -> 1 (reason 36)
NetworkManager: <info> (ttyUSB2): cleaning up...
NetworkManager: <info> (ttyUSB2): taking down device.

Thanks!
Comment 4 Dan Williams 2010-05-04 18:13:50 EDT
Oh weird:

** (modem-manager:22225): DEBUG: <1272888884.973965> (ttyUSB2): port now
connected

but the real port that got connected is supposed to be ttyUSB0.  I'll look into this, thanks!
Comment 5 Dan Williams 2010-05-04 20:34:37 EDT
Upstream fix:

commit 885bc90be91f44f4e2aeb837f40aafcce3089789
Author: Dan Williams <dcbw@redhat.com>
Date:   Tue May 4 17:33:04 2010 -0700

    gsm/cdma: fix data port assignment (rh #587400)
Comment 6 Fedora Update System 2010-05-05 04:28:40 EDT
ModemManager-0.3-12.git20100504.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-12.git20100504.fc12
Comment 7 Fedora Update System 2010-05-05 04:29:48 EDT
ModemManager-0.3-12.git20100504.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ModemManager-0.3-12.git20100504.fc13
Comment 8 Fedora Update System 2010-05-05 23:43:06 EDT
ModemManager-0.3-12.git20100504.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-12.git20100504.fc13
Comment 9 Fedora Update System 2010-05-05 23:43:39 EDT
ModemManager-0.3-12.git20100504.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-12.git20100504.fc12
Comment 10 Fedora Update System 2010-05-06 02:57:32 EDT
ModemManager-0.3-12.git20100504.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Josh Krupka 2010-05-06 22:11:57 EDT
After updating to this ModemManager and the corresponding NetworkManager, the Novatel 727 works again! The signal strength and features of .8 look great.

Note You need to log in before you can comment on or make changes to this bug.